diff --git a/kernel.spec b/kernel.spec
index ca07312..cc4fc01 100755
--- a/kernel.spec
+++ b/kernel.spec
@@ -245,7 +245,7 @@ Summary: The Linux kernel
 %if %{with_verbose}
 %define make_opts V=1
 %else
-%define make_opts -s
+%define make_opts %{nil}
 %endif
 
 %if %{with toolchain_clang}
@@ -567,6 +567,7 @@ ExclusiveOS: Linux
 %ifnarch %{nobuildarches}
 Requires: kernel-core-uname-r = %{KVERREL}
 Requires: kernel-modules-uname-r = %{KVERREL}
+Requires: zfs-kmod-%{version}-%(echo %{release} | sed 's/%{dist}//')
 %endif
 
 
@@ -902,6 +903,7 @@ options that can be passed to Linux kernel modules at load time.
 Summary: Header files for the Linux kernel for use by glibc
 Obsoletes: glibc-kernheaders < 3.0-46
 Provides: glibc-kernheaders = 3.0-46
+Provides: kernel-headers = %{version}-%{release}
 %description headers
 Kernel-headers includes the C header files that specify the interface
 between the Linux kernel and userspace libraries and programs.  The
@@ -1118,6 +1120,7 @@ This is required to use SystemTap with %{name}%{?1:-%{1}}-%{KVERREL}.\
 %define kernel_devel_package(m) \
 %package %{?1:%{1}-}devel\
 Summary: Development package for building kernel modules to match the %{?2:%{2} }kernel\
+Provides: kernel-devel = %{version}-%{release}\
 Provides: kernel%{?1:-%{1}}-devel-%{_target_cpu} = %{version}-%{release}\
 Provides: kernel-devel-%{_target_cpu} = %{version}-%{release}%{?1:+%{1}}\
 Provides: kernel-devel-uname-r = %{KVERREL}%{?1:+%{1}}\
